> ## Documentation Index
> Fetch the complete documentation index at: https://savadocs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Student

> Deletes a single student from the system based on the ID supplied.



## OpenAPI

````yaml DELETE /students/{id}
openapi: 3.1.0
info:
  title: Classroom Manager API
  description: >-
    A mock API that allows a teacher to manage information about students in
    their classes.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://sandbox.mintlify.com
security:
  - bearerAuth: []
paths:
  /students/{id}:
    delete:
      description: Deletes a single student from the system based on the ID supplied.
      parameters:
        - name: id
          in: path
          description: 5-digit student ID of the student you wish to delete.
          required: true
          schema:
            type: string
            format: ([0-9]+)
            minLength: 5
            maxLength: 5
            example: '01234'
      responses:
        '204':
          description: Student deleted from system.
          content: {}
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````